{% extends 'base.html.twig' %}

{% block title %}
    Boby Voyages
{% endblock %}

{% block body %}
    <div class="travels-container">
        {% for travel in travels %}
            <div class="travel-card">
                <img class="travel-image" src="{{ travel.picture }}">
                <div class="travel-content">
                    <span class="travel-title">
                        {{ travel.title }}
                    </span>
                    <div class="travel-rating">
                        {% set fullStars = travel.rate | round %}
                        {% for i in 1..fullStars %}
                            <img src="{{ asset('assets/star.svg') }}" class="star-svg"/>
                        {% endfor %}
                    </div>
                    <p>
                        {{ travel.description | length > 100 ? travel.description | slice(0, 95) ~ '...' : travel.description }}
                    </p>
                </div>
                <a class="button margin-l margin-1" href="/travel/{{ travel.id }}">
                    Voir plus
                </a>
            </div>
        {% endfor %}
    </div>
{% endblock %}